Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592843 - Request to add wqy-zenhei-fonts to RHEL 6.0
Request to add wqy-zenhei-fonts to RHEL 6.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Peng Wu
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 03:18 EDT by Peng Wu
Modified: 2010-11-10 15:16 EST (History)
7 users (show)

See Also:
Fixed In Version: wqy-zenhei-fonts-0.9.45-3.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:16:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
comps-rhel6-wqy-zenhei.patch (2.07 KB, patch)
2010-06-01 21:15 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Peng Wu 2010-05-17 03:18:19 EDT
WenQuanYi Zen Hei is an Open Source Font for Simplified Chinese.
And the license for GPLv2 with exceptions.
As time goes, this font contains more and more glyphs, also with font glyph quality improved.

This font is the default Simplified Chinese on Fedora 13.
Please allow to add this font to RHEL 6.0 for Simplified Chinese.

Here are the font web site: http://wenq.org/.
Comment 2 RHEL Product and Program Management 2010-05-17 03:34:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jens Petersen 2010-05-17 03:37:07 EDT
Having WQY Zenhei in RHEL6 will make it a more attractive product for Chinese, particularly in China.
Comment 4 Bill Nottingham 2010-05-17 15:36:11 EDT
Would this be replacing an existing font? (Is there a need to ship multiple ones?)
Comment 5 Peng Wu 2010-05-18 00:41:08 EDT
Currently we use UMing/UKai for both Simplified Chinese and Traditional Chinese.
But UMing/UKai is from Traditional Chinese Community, some writing styles is not very fit for Simplified Chinese.

The WenQuanYi Project spends several years to create a modern Open Source font for Simplified Chinese. And currently this font is popular and famous in Simplified Chinese users. This font doesn't want to replace UMing or UKai, UMing/UKai is still for Traditional Chinese users, WenQuanYi just plan to be the default font on Simplified Chinese.

The WenQuanYi currently is considered as a replacement candidate for ZYSong18030 in RHEL6 Supplementary, which is a commercial font bought from ZhongYi, in order to pass GB18030 standard in China.
But WenQuanYi still have to include lots of glyphs to pass GB18030 in future, currently not pass GB18030 yet.
See: [Bug 538245] RHEL6 Supplementary: [zh_CN] need GB18030 font for Chinese Gov certification.
Comment 6 Jens Petersen 2010-05-31 03:40:39 EDT
Yes as pwu says idea is to use WQY Zenhei for SC and cjkuni uming for TC.
Comment 7 Peng Wu 2010-05-31 22:20:51 EDT
Import wqy-zenhei-fonts from Fedora 13 GA.

Here are the brew URL:
https://brewweb.devel.redhat.com/taskinfo?taskID=2483008
Comment 8 Jens Petersen 2010-06-01 00:36:27 EDT
Can you request releng to import the package to PW?
Comment 9 Peng Wu 2010-06-01 00:49:42 EDT
Set status to modified and Fixed in Version to wqy-zenhei-fonts-0.9.45-2.el6.
Request to import the package to PW.
Comment 10 Bill Nottingham 2010-06-01 17:43:44 EDT
Jens, can you attach a patch for comps? (Or just go ahead and commit the change.)
Comment 11 Jens Petersen 2010-06-01 21:08:04 EDT
(In reply to comment #7)
> Here are the brew URL:
> https://brewweb.devel.redhat.com/taskinfo?taskID=2483008    

That is a scratch build so moving back to assigned.
We need to import to cvs first and build it as normal
from there.

Bill, guess I better wait until the package is ready to pull?
Comment 12 Jens Petersen 2010-06-01 21:15:38 EDT
Created attachment 418871 [details]
comps-rhel6-wqy-zenhei.patch

This makes cjkuni default not mandatory for zh
and adds wqy-zenhei as default for zh and @fonts.

I can commit once the package is available in brew.
Comment 13 Peng Wu 2010-06-02 03:46:41 EDT
Here are new brew URL:
https://brewweb.devel.redhat.com/taskinfo?taskID=2486767
Comment 14 Peng Wu 2010-06-04 03:21:06 EDT
Request to import the package to PW.
Comment 15 Dennis Gregorovic 2010-06-09 17:10:30 EDT
Package imported into PW and comps change applied.
Comment 16 Peng Wu 2010-06-17 02:00:37 EDT
Request for tagging wqy-zenhei-fonts-0.9.45-3.el6 with RHEL-6.0 is sent to rel-eng.
Comment 19 releng-rhel@redhat.com 2010-11-10 15:16:50 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.